Create escrow reservation
curl --request POST \
--url https://api.arcenpay.com/api/v1/public/escrow/reserve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requestNonce": "<string>",
"payerWallet": "<string>",
"recipientWallet": "<string>",
"amount": "<string>",
"sessionId": "<string>",
"amountAtomic": "<string>",
"tokenAddress": "<string>",
"chainId": 84532,
"mode": "exact_hash",
"challengeWindowSeconds": 3600
}
'import requests
url = "https://api.arcenpay.com/api/v1/public/escrow/reserve"
payload = {
"requestNonce": "<string>",
"payerWallet": "<string>",
"recipientWallet": "<string>",
"amount": "<string>",
"sessionId": "<string>",
"amountAtomic": "<string>",
"tokenAddress": "<string>",
"chainId": 84532,
"mode": "exact_hash",
"challengeWindowSeconds": 3600
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestNonce: '<string>',
payerWallet: '<string>',
recipientWallet: '<string>',
amount: '<string>',
sessionId: '<string>',
amountAtomic: '<string>',
tokenAddress: '<string>',
chainId: 84532,
mode: 'exact_hash',
challengeWindowSeconds: 3600
})
};
fetch('https://api.arcenpay.com/api/v1/public/escrow/reserve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"reservation": {
"requestNonce": "<string>",
"payerWallet": "<string>",
"recipientWallet": "<string>",
"amount": "<string>",
"status": "reserved"
}
}{
"error": "<string>",
"details": {}
}Escrow
Create escrow reservation
Locks funds in reservation prior to deliverable transmission for autonomous agent workflows.
POST
/
public
/
escrow
/
reserve
Create escrow reservation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Unique request nonce from buyer session.
Wallet address of the buyer.
Wallet address of the service provider.
Amount in decimal units.
Amount locked in base atomic units.
On-chain stablecoin contract address.
Available options:
exact_hash, schema_conformance Last modified on September 19, 2026

